webdevqa.jp.net

Android Studioを更新しようとすると、「パッケージの解決中にエラーが発生しました」

Android Studio 3.4.2 on Ubuntu 18.0.4を更新しようとすると、以下のエラーが表示されます

パッケージの解決エラー

リビジョンが29.1.7以上の「Android Emulator」パッケージは利用できません

このエラーを検索しましたが、解決策が見つかりませんでした

誰かが同じ問題を抱えていましたか

最高のセーラム

5
Salim

これらは私のために問題を解決したステップです:

  • Android Studioで、[外観と動作-システム設定]に移動します
  • そこで、[更新]を選択し、[更新を自動的に確認する]を[カナリアチャネル]に設定します(他の方法も可能ですが、[安定]は間違った選択のようです)。
  • 次に、「Android SDK」->「SDKツール」に切り替えて、「Androidエミュレーター」を更新します(これは、適切なバージョンでインストールされないものの1つです)。
  • 完了したら、「Android SDK」->「SDKプラットフォーム」に切り替えて、「パッケージの詳細を表示」チェックボックス(右下)をアクティブにします。
  • [Android 9. +(Q)]で、[Google API Intel x86 Atomシステムイメージ)]の横のチェックボックスをアクティブにできます(現時点では「-」になっているはずです)。
  • その後、「適用」をクリックします

ダウンロードが開始されます。完了したら、安定した更新チャネルに戻すことをお勧めします(私はそうしましたが、今のところ問題はありません。「更新」メッセージが消えました)。

お役に立てば幸いです。

Change update channel to something else then stable

Update Android Emulator

Update the Google APIs ... Atom ...

5
Robert Wildling

Android Studioでは、アップデートが利用可能であっても、アップデートが利用可能であると表示されない場合があります。

上記のRobert Wieldingからの回答と上記のMuhammad bin Yusratからのコメントを組み合わせて、これらの更新を認識させる方法を次に示します。

  1. アップデートを確認-利用可能なアップデートがないことを示します。
  2. 更新の設定に移動し、カナリーなどの別のチャンネルに切り替え、更新を確認します。
  3. Androidスタジオはアップデートがあると言います。無視して、Stableに切り替えます。
  4. Android SDKに変更します。ここで、「Android Emulator」の更新について言及しています。
  5. これを選択して、選択するチェックボックスを変更します。
  6. 「適用」を選択します。
0
Johan